#include <iostream>
#define top 1000000000 + 7

using namespace std;

int f(int a[], int n, int k){
    int sum = 0;
    if(!k){
        for(int i = 0; i < n; i++){
            sum += a[i];
            
        }
        return sum;
    }
    for(int i = 0; i < n; i++){
        for(int j = i; j < n; j++){
            sum += f(a + i, j - i + 1, k - 1);
        }
    }
    return sum;
}

int main()
{
    int n, k;
    cin >> n >> k;
    int a[200000];
    for(int i = 0; i < n; i++){
        cin >> a[i];
    }
    cout << f(a, n, k) << endl;
    return 0;
}